pca {bio3d} | R Documentation

## Principal Component Analysis

### Description

Performs principal components analysis (PCA) on biomolecular structure data.

### Usage

      pca(...)

### Arguments

`...` | arguments passed to the methods `pca.xyz`, `pca.pdbs`, etc. Typically this includes either a numeric matrix of Cartesian coordinates with a row per structure/frame (function `pca.xyz()`), or an object of class `pdbs` as obtained from function `pdbaln` or `read.fasta.pdb` (function `pca.pdbs()`).

### Details

Principal component analysis can be performed on any structure dataset of equal or unequal sequence composition to capture and characterize inter-conformer relationships.

This generic `pca` function calls the corresponding methods function for actual calculation, which is determined by the class of the input argument `x`. Use `methods("pca")` to list all the current methods for `pca` generic. These will include:

`pca.xyz`, which will be used when `x` is a numeric matrix containing Cartesian coordinates (e.g. trajectory data).

`pca.pdbs`, which will perform PCA on the Cartesian coordinates of a input `pdbs` object (as obtained from the ‘read.fasta.pdb’ or ‘pdbaln’ functions).

Currently, function `pca.tor` should be called explicitly as there are currently no defined ‘tor’ object classes.

See the documentation and examples for each individual function for more details and worked examples.

### Author(s)

Barry Grant, Lars Skjaerven

### References

Grant, B.J. et al. (2006) Bioinformatics 22, 2695–2696.

### See Also

`pca.xyz`, `pca.pdbs`, `pdbaln`.

[Package bio3d version 2.3-4 Index]